#include "ft_nm.h"

int main(void) {
	int fd = open("ft_nm", O_RDONLY);
	void *ptr = NULL;
	Elf64_Ehdr *header;

	ptr = mmap(NULL, 64, PROT_READ, MAP_PRIVATE, fd, 0);
	if (ptr != MAP_FAILED) {
		header = (Elf64_Ehdr *)ptr;
		write(1, ptr, 4);
		write(1, "\n", 1);
		write(1, header->e_ident, 4);
		write(1, "\n", 1);
		if (header->e_ident[EI_OSABI] == 0x00) {
			printf("This ELF is for System V! :)\n");
		}
		else if (header->e_ident[EI_OSABI] == 0x03) {
			printf("This ELF is for linux! :)\n");
		} else {
			printf("What's my purpose :(\n");
		}
	}

	return 0;
}
